Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.model
Class ModelBox

    java.lang.Object
      net.minecraft.client.model.ModelBox

    public class ModelBox

extends Object

Field Summary
`String` | `field_78247_g`
`float` | `posX1` X vertex coordinate of lower box corner
`float` | `posX2` X vertex coordinate of upper box corner
`float` | `posY1` Y vertex coordinate of lower box corner
`float` | `posY2` Y vertex coordinate of upper box corner
`float` | `posZ1` Z vertex coordinate of lower box corner
`float` | `posZ2` Z vertex coordinate of upper box corner

Constructor Summary
`ModelBox(ModelRenderer par1ModelRenderer, int par2, int par3, float par4, float par5, float par6, int par7, int par8, int par9, float par10)`

Method Summary
`ModelBox` | `func_78244_a(String par1Str)`
`void` | `render(Tessellator par1Tessellator, float par2)` Draw the six sided box defined by this ModelBox

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### posX1

    public final float posX1

  X vertex coordinate of lower box corner

### posY1

    public final float posY1

  Y vertex coordinate of lower box corner

### posZ1

    public final float posZ1

  Z vertex coordinate of lower box corner

### posX2

    public final float posX2

  X vertex coordinate of upper box corner

### posY2

    public final float posY2

  Y vertex coordinate of upper box corner

### posZ2

    public final float posZ2

  Z vertex coordinate of upper box corner

### field_78247_g

    public String field_78247_g

Constructor Detail

### ModelBox

    public ModelBox(ModelRenderer par1ModelRenderer,
                    int par2,
                    int par3,
                    float par4,
                    float par5,
                    float par6,
                    int par7,
                    int par8,
                    int par9,
                    float par10)

Method Detail

### render

    public void render(Tessellator par1Tessellator,
                       float par2)

  Draw the six sided box defined by this ModelBox

### func_78244_a

    public ModelBox func_78244_a(String par1Str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD